import { Component, OnInit, ViewChild } from '@angular/core';
import { IgxGridComponent } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'igx-grid-navigateto';
  @ViewChild('grid1', { static: true }) grid1: IgxGridComponent;
  localData: any = [];
  pKey = 'col0';
  columns = [];
  numberOfColumns = 20;

  ngOnInit() {
    // 列情報
    for (let i = 0; i < this.numberOfColumns; i++) {
      this.columns.push(`col${i}`);
    }
    for (let i = 30; i < 100; i++) {
      const item = { col0: i };
      // 行情報
      for (let j = 1; j < this.numberOfColumns; j++) {
        item[`col${j}`] = 'text';
      }
      this.localData.push(item);
    }
  }

  goTop() {
    // 先頭行へ移動
    this.grid1.navigateTo(0);
  }

  goBottom() {
    // 最終行へ移動
    this.grid1.navigateTo(this.grid1.dataLength - 1);
  }
}
